List the realm's wallets
curl --request GET \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/walletsimport requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"_id": "66f2a3d1b4d3e80012c9a0d2",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"accountId": "66f2a1c7b4d3e80012c9a0b4",
"environment": "LIVE",
"currency": "986",
"status": "ACTIVE",
"role": "CHECKING",
"isSuper": false,
"createdAt": "2024-10-01T12:30:05.000Z",
"updatedAt": "2024-10-01T12:34:41.000Z",
"external": {
"balanceAccountGroupId": "4f6b0e1d-2b3a-4c5d-8e9f-0a1b2c3d4e5f",
"accountNumber": 10023456,
"branch": "0001",
"accountType": "PREPAID"
},
"customFields": {
"cost-center": "CC-1020"
},
"walletProduct": "NORMAL",
"createdBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"updatedBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"accountType": "PREPAID",
"__v": 0
}
],
"next": "NjZmMmEzZDFiNGQzZTgwMDEyYzlhMGQy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "BANKING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "limit",
"message": "Invalid input: expected integer, received string",
"code": "LIMIT_TYPE_ERROR"
}
]
}List the realm's wallets
Lists the wallets of every organization of the realm, newest first.
GET
/
realms
/
{realmId}
/
wallets
List the realm's wallets
curl --request GET \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/walletsimport requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.banking.v2.portao3.com.br/realms/{realmId}/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"_id": "66f2a3d1b4d3e80012c9a0d2",
"realmId": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organizationId": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"accountId": "66f2a1c7b4d3e80012c9a0b4",
"environment": "LIVE",
"currency": "986",
"status": "ACTIVE",
"role": "CHECKING",
"isSuper": false,
"createdAt": "2024-10-01T12:30:05.000Z",
"updatedAt": "2024-10-01T12:34:41.000Z",
"external": {
"balanceAccountGroupId": "4f6b0e1d-2b3a-4c5d-8e9f-0a1b2c3d4e5f",
"accountNumber": 10023456,
"branch": "0001",
"accountType": "PREPAID"
},
"customFields": {
"cost-center": "CC-1020"
},
"walletProduct": "NORMAL",
"createdBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"updatedBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"accountType": "PREPAID",
"__v": 0
}
],
"next": "NjZmMmEzZDFiNGQzZTgwMDEyYzlhMGQy"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "BANKING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "limit",
"message": "Invalid input: expected integer, received string",
"code": "LIMIT_TYPE_ERROR"
}
]
}Each wallet comes without its name, users, settings and kind — read a wallet for those. Filter by
status and type, which take their values comma-separated (?status=ACTIVE,BLOCKED), and page with limit + next. Wallets of the other environment are not listed, so send x-environment: LIVE for production wallets.Headers
Environment whose wallets you list: LIVE (production) or TEST (sandbox). When you omit it, you get the TEST wallets; any other value is rejected.
Available options:
LIVE, TEST Path Parameters
ID of your realm.
Format: UUID
Query Parameters
Only wallets in these statuses (case-insensitive): PENDING, ACTIVE, BLOCKED, CANCELLING, CANCELLED, REPROVED, FRAUD_ANALYSIS or FRAUD_CONFIRMED. Other values match no wallet.
Example (comma-separated list): ?status=ACTIVE,BLOCKED
Maximum string length:
64Only wallets of these kinds (case-insensitive): ORGANIZATION, SHARED, PERSONAL or VEHICLE. Other values match no wallet.
Example: ?type=ORGANIZATION
Maximum string length:
64Cursor returned as next by the previous page. Omit it for the first page.
Page size. Defaults to 15.
Required range:
x > 0